Bug 1803348 - Review Request: ghc-parsers - Parsing combinators
Summary: Review Request: ghc-parsers - Parsing combinators
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-15 12:09 UTC by Jens Petersen
Modified: 2020-08-23 06:51 UTC (History)
2 users (show)

Fixed In Version: ghc-parsers-0.12.10-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-23 06:51:27 UTC
Type: ---
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2020-02-15 12:09:08 UTC
Spec URL: https://petersen.fedorapeople.org/reviews/ghc-parsers.spec
SRPM URL: https://petersen.fedorapeople.org/reviews/ghc-parsers-0.12.10-1.fc31.src.rpm

Description:
This library provides convenient combinators for working with and building
parsing combinator libraries.

Given a few simple instances, e.g. for the class
'Text.Parser.Combinators.Parsing' in "Text.Parser.Combinators.Parsing" you get
access to a large number of canned definitions. Instances exist for the parsers
provided by 'parsec', 'attoparsec' and baseâs "Text.Read".

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=41514294

Comment 1 Jens Petersen 2020-02-16 08:47:57 UTC
Needed for dhall

Comment 2 Elliott Sales de Andrade 2020-02-21 07:42:23 UTC
The link is broken.

Comment 3 Jens Petersen 2020-02-22 03:09:23 UTC
Oops, sorry about that (my fedbrnch tool seems broken...)

Comment 4 Jens Petersen 2020-02-27 06:01:56 UTC
The files should be in the right place now, thanks

Comment 5 Elliott Sales de Andrade 2020-02-27 07:08:55 UTC
Fix executable permissions on documentation.
Are there no tests?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-clause "Simplified" License",
     "BSD (unspecified)". 12 files have unknown license. Detailed output of
     licensecheck in 1803348-ghc-parsers/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-parsers-0.12.10-1.fc33.x86_64.rpm
          ghc-parsers-devel-0.12.10-1.fc33.x86_64.rpm
          ghc-parsers-0.12.10-1.fc33.src.rpm
ghc-parsers.x86_64: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US combinator -> combination, contaminator, coordinator
ghc-parsers.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US attoparsec -> separator
ghc-parsers.x86_64: E: library-not-linked-against-libc /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so
ghc-parsers.x86_64: W: no-documentation
ghc-parsers-devel.x86_64: W: spurious-executable-perm /usr/share/doc/ghc-parsers-devel/CHANGELOG.markdown
ghc-parsers-devel.x86_64: W: spurious-executable-perm /usr/share/doc/ghc-parsers-devel/README.markdown
ghc-parsers.src: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
ghc-parsers.src: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-parsers.src: W: spelling-error %description -l en_US combinator -> combination, contaminator, coordinator
ghc-parsers.src: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
ghc-parsers.src: W: spelling-error %description -l en_US attoparsec -> separator
3 packages and 0 specfiles checked; 1 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
ghc-parsers-devel.x86_64: W: spurious-executable-perm /usr/share/doc/ghc-parsers-devel/CHANGELOG.markdown
ghc-parsers-devel.x86_64: W: spurious-executable-perm /usr/share/doc/ghc-parsers-devel/README.markdown
ghc-parsers.x86_64: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US combinator -> combination, contaminator, coordinator
ghc-parsers.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US attoparsec -> separator
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so RtsFlags
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so __hscore_get_saved_termios
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so __hscore_set_saved_termios
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so __int_encodeDouble
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so _assertFail
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so backtraceFree
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so cmp_thread
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so debugBelch
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so dirty_MUT_VAR
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so enabled_capabilities
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so errorBelch
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so foreignExportStablePtr
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so forkOS_createThread
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so freeHaskellFunctionPtr
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getFullProgArgv
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getMonotonicNSec
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getNumberOfProcessors
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getOrSetGHCConcSignalSignalHandlerStore
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getOrSetSystemEventThreadEventManagerStore
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getOrSetSystemEventThreadIOManagerThreadStore
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getOrSetSystemTimerThreadEventManagerStore
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getOrSetSystemTimerThreadIOManagerThreadStore
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getProcessElapsedTime
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getProgArgv
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getRTSStats
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getRTSStatsEnabled
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so hs_free_stable_ptr
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so hs_spt_key_count
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so hs_spt_keys
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so hs_spt_lookup
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so libdwGetBacktrace
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so libdwLookupLocation
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so libdwPoolClear
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so libdwPoolRelease
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so libdwPoolTake
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so lockFile
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so newCAF
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so newSpark
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so performGC
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so performMajorGC
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so reportHeapOverflow
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so reportStackOverflow
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so resumeThread
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rtsSupportsBoundThreads
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_apply
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_checkSchedStatus
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_disableThreadAllocationLimit
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_enableThreadAllocationLimit
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_evalIO
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_getThreadId
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_lock
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_mkStablePtr
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_setMainThread
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_unlock
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so setIOManagerControlFd
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so setIOManagerWakeupFd
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so setNumCapabilities
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so setProgArgv
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so setTimerManagerControlFd
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so shutdownHaskellAndExit
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so shutdownHaskellAndSignal
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so startProfTimer
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so stg_*
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so stopProfTimer
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so suspendThread
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so unlockFile
ghc-parsers.x86_64: E: library-not-linked-against-libc /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so
ghc-parsers.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 882 warnings.



Unversioned so-files
--------------------
ghc-parsers: /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so

Source checksums
----------------
https://hackage.haskell.org/package/parsers-0.12.10/parsers-0.12.10.tar.gz :
  CHECKSUM(SHA256) this package     : 17b91f1318ca54679395b382a056df633fdb44fbb962eca66b1787f957af1a6c
  CHECKSUM(SHA256) upstream package : 17b91f1318ca54679395b382a056df633fdb44fbb962eca66b1787f957af1a6c


Requires
--------
ghc-parsers (rpmlib, GLIBC filtered):
    libHSattoparsec-0.13.2.3-BiG4dMi6jgaGRiQu1xIDkT-ghc8.6.5.so()(64bit)
    libHSbase-4.12.0.0-ghc8.6.5.so()(64bit)
    libHSbinary-0.8.6.0-ghc8.6.5.so()(64bit)
    libHSbytestring-0.10.8.2-ghc8.6.5.so()(64bit)
    libHScharset-0.3.7.1-4u1nmqpwRyq2IddPtc0lQ6-ghc8.6.5.so()(64bit)
    libHScontainers-0.6.0.1-ghc8.6.5.so()(64bit)
    libHSghc-prim-0.5.3-ghc8.6.5.so()(64bit)
    libHSinteger-gmp-1.0.2.0-ghc8.6.5.so()(64bit)
    libHSmtl-2.2.2-ghc8.6.5.so()(64bit)
    libHSparsec-3.1.13.0-ghc8.6.5.so()(64bit)
    libHSscientific-0.3.6.2-Jh87LYpjAZH3EhMJkXeu1S-ghc8.6.5.so()(64bit)
    libHStext-1.2.3.1-ghc8.6.5.so()(64bit)
    libHStransformers-0.5.6.2-ghc8.6.5.so()(64bit)
    libHSunordered-containers-0.2.10.0-KQjsr7xKC1WHxfEOZ1c65w-ghc8.6.5.so()(64bit)
    rtld(GNU_HASH)

ghc-parsers-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-compiler
    ghc-devel(attoparsec-0.13.2.3-BiG4dMi6jgaGRiQu1xIDkT)
    ghc-devel(base-4.12.0.0)
    ghc-devel(base-orphans-0.8.2-Ke99E60Mo84KnUwhUIlkF8)
    ghc-devel(binary-0.8.6.0)
    ghc-devel(charset-0.3.7.1-4u1nmqpwRyq2IddPtc0lQ6)
    ghc-devel(containers-0.6.0.1)
    ghc-devel(mtl-2.2.2)
    ghc-devel(parsec-3.1.13.0)
    ghc-devel(scientific-0.3.6.2-Jh87LYpjAZH3EhMJkXeu1S)
    ghc-devel(semigroups-0.18.5-6T2lH5F6zyQIdwR3JYKMO3)
    ghc-devel(text-1.2.3.1)
    ghc-devel(transformers-0.5.6.2)
    ghc-devel(unordered-containers-0.2.10.0-KQjsr7xKC1WHxfEOZ1c65w)
    ghc-parsers(x86-64)



Provides
--------
ghc-parsers:
    ghc-parsers
    ghc-parsers(x86-64)
    libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so()(64bit)

ghc-parsers-devel:
    ghc-devel(parsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP)
    ghc-parsers-devel
    ghc-parsers-devel(x86-64)
    ghc-parsers-static
    ghc-parsers-static(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1803348
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++, Haskell
Disabled plugins: Perl, fonts, SugarActivity, Ocaml, Python, PHP, R, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 6 Jens Petersen 2020-03-02 15:12:02 UTC
Thank you for reviewing

(In reply to Elliott Sales de Andrade from comment #5)
> Fix executable permissions on documentation.

Sure, I believe that is caused by `cabal v2-sdist`.

> Are there no tests?

Just to clarify: cabal-rpm will enable testsuites by default if their required deps are available in Fedora, otherwise it disables any testsuite.
(I may add options for that too, though overall testsuite are quite an overhead for Haskell package maintenance.)

In this case there is a testsuite, but we don't have the quickcheck-instances library in Fedora.

Comment 8 Jens Petersen 2020-03-02 16:38:34 UTC
(In reply to Jens Petersen from comment #6)
> Just to clarify: cabal-rpm will enable testsuites by default if their
> required deps are available in Fedora, otherwise it disables any testsuite.

More precisely:

cabal-rpm-2.0 hides the testsuite if its deps are not in Fedora.
If later all the deps become available, refresh will cause the testsuite to be added and enabled.

Comment 9 Elliott Sales de Andrade 2020-06-25 09:20:41 UTC
Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
     parsers-prof
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-parsers-0.12.10-2.fc33.x86_64.rpm
          ghc-parsers-devel-0.12.10-2.fc33.x86_64.rpm
          ghc-parsers-doc-0.12.10-2.fc33.noarch.rpm
          ghc-parsers-prof-0.12.10-2.fc33.x86_64.rpm
          ghc-parsers-0.12.10-2.fc33.src.rpm
ghc-parsers.x86_64: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US combinator -> combination, contaminator, coordinator
ghc-parsers.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US attoparsec -> separator
ghc-parsers.x86_64: E: library-not-linked-against-libc /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so
ghc-parsers.x86_64: W: no-documentation
ghc-parsers-prof.x86_64: W: no-documentation
ghc-parsers-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-8.6.5/parsers-0.12.10/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP_p.a
ghc-parsers.src: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
ghc-parsers.src: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-parsers.src: W: spelling-error %description -l en_US combinator -> combination, contaminator, coordinator
ghc-parsers.src: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
ghc-parsers.src: W: spelling-error %description -l en_US attoparsec -> separator
5 packages and 0 specfiles checked; 1 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
ghc-parsers.x86_64: W: spelling-error Summary(en_US) combinators -> combinations, combination, contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US combinators -> combinations, combination, contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US combinator -> combination, contaminator, coordinator
ghc-parsers.x86_64: W: spelling-error %description -l en_US Combinators -> Combinations, Combination, Contaminators
ghc-parsers.x86_64: W: spelling-error %description -l en_US attoparsec -> separator
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so RtsFlags
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so __hscore_get_saved_termios
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so __hscore_set_saved_termios
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so __int_encodeDouble
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so _assertFail
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so backtraceFree
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so cmp_thread
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so debugBelch
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so dirty_MUT_VAR
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so enabled_capabilities
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so errorBelch
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so foreignExportStablePtr
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so forkOS_createThread
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so freeHaskellFunctionPtr
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getFullProgArgv
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getMonotonicNSec
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getNumberOfProcessors
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getOrSetGHCConcSignalSignalHandlerStore
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getOrSetSystemEventThreadEventManagerStore
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getOrSetSystemEventThreadIOManagerThreadStore
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getOrSetSystemTimerThreadEventManagerStore
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getOrSetSystemTimerThreadIOManagerThreadStore
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getProcessElapsedTime
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getProgArgv
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getRTSStats
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so getRTSStatsEnabled
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so hs_free_stable_ptr
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so hs_spt_key_count
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so hs_spt_keys
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so hs_spt_lookup
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so libdwGetBacktrace
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so libdwLookupLocation
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so libdwPoolClear
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so libdwPoolRelease
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so libdwPoolTake
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so lockFile
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so newCAF
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so newSpark
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so performGC
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so performMajorGC
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so reportHeapOverflow
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so reportStackOverflow
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so resumeThread
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rtsSupportsBoundThreads
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_apply
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_checkSchedStatus
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_disableThreadAllocationLimit
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_enableThreadAllocationLimit
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_evalIO
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_getThreadId
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_lock
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_mkStablePtr
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_setMainThread
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so rts_unlock
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so setIOManagerControlFd
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so setIOManagerWakeupFd
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so setNumCapabilities
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so setProgArgv
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so setTimerManagerControlFd
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so shutdownHaskellAndExit
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so shutdownHaskellAndSignal
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so startProfTimer
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so stg_*
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so stopProfTimer
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so suspendThread
ghc-parsers.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so unlockFile
ghc-parsers.x86_64: W: library-not-linked-against-libc /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so
ghc-parsers.x86_64: W: no-documentation
ghc-parsers-prof.x86_64: W: no-documentation
ghc-parsers-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-8.6.5/parsers-0.12.10/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP_p.a
4 packages and 0 specfiles checked; 0 errors, 885 warnings.



Unversioned so-files
--------------------
ghc-parsers: /usr/lib64/libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so

Source checksums
----------------
https://hackage.haskell.org/package/parsers-0.12.10/parsers-0.12.10.tar.gz :
  CHECKSUM(SHA256) this package     : 17b91f1318ca54679395b382a056df633fdb44fbb962eca66b1787f957af1a6c
  CHECKSUM(SHA256) upstream package : 17b91f1318ca54679395b382a056df633fdb44fbb962eca66b1787f957af1a6c


Requires
--------
ghc-parsers (rpmlib, GLIBC filtered):
    libHSattoparsec-0.13.2.3-BiG4dMi6jgaGRiQu1xIDkT-ghc8.6.5.so()(64bit)
    libHSbase-4.12.0.0-ghc8.6.5.so()(64bit)
    libHSbinary-0.8.6.0-ghc8.6.5.so()(64bit)
    libHSbytestring-0.10.8.2-ghc8.6.5.so()(64bit)
    libHScharset-0.3.7.1-4u1nmqpwRyq2IddPtc0lQ6-ghc8.6.5.so()(64bit)
    libHScontainers-0.6.0.1-ghc8.6.5.so()(64bit)
    libHSghc-prim-0.5.3-ghc8.6.5.so()(64bit)
    libHSinteger-gmp-1.0.2.0-ghc8.6.5.so()(64bit)
    libHSmtl-2.2.2-ghc8.6.5.so()(64bit)
    libHSparsec-3.1.13.0-ghc8.6.5.so()(64bit)
    libHSscientific-0.3.6.2-Jh87LYpjAZH3EhMJkXeu1S-ghc8.6.5.so()(64bit)
    libHStext-1.2.3.1-ghc8.6.5.so()(64bit)
    libHStransformers-0.5.6.2-ghc8.6.5.so()(64bit)
    libHSunordered-containers-0.2.10.0-KQjsr7xKC1WHxfEOZ1c65w-ghc8.6.5.so()(64bit)
    rtld(GNU_HASH)

ghc-parsers-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-compiler
    ghc-devel(attoparsec-0.13.2.3-BiG4dMi6jgaGRiQu1xIDkT)
    ghc-devel(base-4.12.0.0)
    ghc-devel(base-orphans-0.8.2-Ke99E60Mo84KnUwhUIlkF8)
    ghc-devel(binary-0.8.6.0)
    ghc-devel(charset-0.3.7.1-4u1nmqpwRyq2IddPtc0lQ6)
    ghc-devel(containers-0.6.0.1)
    ghc-devel(mtl-2.2.2)
    ghc-devel(parsec-3.1.13.0)
    ghc-devel(scientific-0.3.6.2-Jh87LYpjAZH3EhMJkXeu1S)
    ghc-devel(semigroups-0.18.5-6T2lH5F6zyQIdwR3JYKMO3)
    ghc-devel(text-1.2.3.1)
    ghc-devel(transformers-0.5.6.2)
    ghc-devel(unordered-containers-0.2.10.0-KQjsr7xKC1WHxfEOZ1c65w)
    ghc-parsers(x86-64)

ghc-parsers-doc (rpmlib, GLIBC filtered):

ghc-parsers-prof (rpmlib, GLIBC filtered):
    ghc-parsers-devel(x86-64)
    ghc-prof(attoparsec-0.13.2.3-BiG4dMi6jgaGRiQu1xIDkT)
    ghc-prof(base-4.12.0.0)
    ghc-prof(base-orphans-0.8.2-Ke99E60Mo84KnUwhUIlkF8)
    ghc-prof(binary-0.8.6.0)
    ghc-prof(charset-0.3.7.1-4u1nmqpwRyq2IddPtc0lQ6)
    ghc-prof(containers-0.6.0.1)
    ghc-prof(mtl-2.2.2)
    ghc-prof(parsec-3.1.13.0)
    ghc-prof(scientific-0.3.6.2-Jh87LYpjAZH3EhMJkXeu1S)
    ghc-prof(semigroups-0.18.5-6T2lH5F6zyQIdwR3JYKMO3)
    ghc-prof(text-1.2.3.1)
    ghc-prof(transformers-0.5.6.2)
    ghc-prof(unordered-containers-0.2.10.0-KQjsr7xKC1WHxfEOZ1c65w)



Provides
--------
ghc-parsers:
    ghc-parsers
    ghc-parsers(x86-64)
    libHSparsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP-ghc8.6.5.so()(64bit)

ghc-parsers-devel:
    ghc-devel(parsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP)
    ghc-parsers-devel
    ghc-parsers-devel(x86-64)
    ghc-parsers-static
    ghc-parsers-static(x86-64)

ghc-parsers-doc:
    ghc-parsers-doc

ghc-parsers-prof:
    ghc-parsers-prof
    ghc-parsers-prof(x86-64)
    ghc-prof(parsers-0.12.10-BVj9NJ0igAzFAJnphKCfvP)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1803348 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Haskell, Shell-api
Disabled plugins: Ocaml, fonts, Python, Java, SugarActivity, R, PHP, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 10 Jens Petersen 2020-06-25 15:31:23 UTC
Thank you for the review

https://pagure.io/releng/fedora-scm-requests/issue/26241

Comment 11 Gwyn Ciesla 2020-06-25 15:57:56 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-parsers


Note You need to log in before you can comment on or make changes to this bug.